package com.huiju.welcome.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-06-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaFirstUsherRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "rec_id", type = IdType.AUTO)
    private Integer recId;

    private String plateNumber;

    private String carModel;

    private Integer personNum;

    private String color;

    @TableField("`channel`")
    private String channel;

    private String purpose;

    private String personName;

    private String carImage;

    private Boolean appointment;

    private LocalDateTime visiteDate;

    @TableField("`status`")
    private Integer status;

    private Integer carRecord;

    private Integer personId;
}
